### Property

# Clutter FlowLayout:orientation

#### Declaration

    property orientation: Clutter.Orientation [ read, write, construct ]

#### Description [src]

The orientation of the `ClutterFlowLayout`. The children of the layout will be laid out following the orientation.

This property also controls the overflowing directions.

Type:`ClutterOrientation`

Default value | CLUTTER_ORIENTATION_HORIZONTAL
Getter method | `clutter_flow_layout_get_orientation()`
Setter method | `clutter_flow_layout_set_orientation()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no